petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatCreateDenseCUDA

Creates a matrix in dense format using CUDA.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateDenseCUDA(MPI_Comm comm,PetscInt m,PetscInt n,PetscInt M,PetscInt N,PetscScalar *data,Mat *A)

Collective

### Input Parameters

| comm | - MPI communicator
| m | - number of local rows (or PETSC_DECIDE to have calculated if M is given)
| n | - number of local columns (or PETSC_DECIDE to have calculated if N is given)
| M | - number of global rows (or PETSC_DECIDE to have calculated if m is given)
| N | - number of global columns (or PETSC_DECIDE to have calculated if n is given)
| data | - optional location of GPU matrix data. Set data=NULL for PETSc to control matrix memory allocation.

### Output Parameter

| A | - the matrix

### Notes

### See Also

MatCreate(), MatCreateDense()

### Level

intermediate

### Location

src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages